Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.aspect
Class AbstractMixinFactory

    java.lang.Object
      org.codehaus.aspectwerkz.aspect.AbstractMixinFactory

All Implemented Interfaces:
  MixinFactory

Direct Known Subclasses:
  DefaultMixinFactory

    public abstract class AbstractMixinFactory

extends Object
implements MixinFactory

Abstract base class for the mixin container implementations.

Author:
  Jonas Bonr

Field Summary
`protected Constructor` | `m_defaultConstructor`
`protected DeploymentModel` | `m_deploymentModel`
`protected Class` | `m_mixinClass`
`protected Constructor` | `m_perClassConstructor`
`protected Constructor` | `m_perInstanceConstructor`

Constructor Summary
`AbstractMixinFactory(Class mixinClass, DeploymentModel deploymentModel)` Creates a new mixin factory.

Method Summary
`abstract Object` | `mixinOf()` Creates a new perJVM mixin instance.
`abstract Object` | `mixinOf(Class klass)` Creates a new perClass mixin instance.
`abstract Object` | `mixinOf(Object instance)` Creates a new perInstance mixin instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_mixinClass

    protected final Class m_mixinClass

### m_deploymentModel

    protected final DeploymentModel m_deploymentModel

### m_defaultConstructor

    protected Constructor m_defaultConstructor

### m_perClassConstructor

    protected Constructor m_perClassConstructor

### m_perInstanceConstructor

    protected Constructor m_perInstanceConstructor

Constructor Detail

### AbstractMixinFactory

    public AbstractMixinFactory(Class mixinClass,
                                DeploymentModel deploymentModel)

  Creates a new mixin factory.

  Parameters:
    `mixinClass` -
    `deploymentModel` -

Method Detail

### mixinOf

    public abstract Object mixinOf()

  Creates a new perJVM mixin instance.

  Specified by:
    `mixinOf` in interface `MixinFactory`
  Returns:
    the mixin instance

### mixinOf

    public abstract Object mixinOf(Class klass)

  Creates a new perClass mixin instance.

  Specified by:
    `mixinOf` in interface `MixinFactory`
  Parameters:
    `klass` -
  Returns:
    the mixin instance

### mixinOf

    public abstract Object mixinOf(Object instance)

  Creates a new perInstance mixin instance.

  Specified by:
    `mixinOf` in interface `MixinFactory`
  Parameters:
    `instance` -
  Returns:
    the mixin instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.